Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(21)

Issue 2894783003: Make Hands-Off Zero-Touch Enrollment compatibile with tests (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 days, 12 hours ago by kumarniranjan
Modified:
4 days, 6 hours ago
CC:
chromium-reviews, stevenjb+watch_chromium.org, alemate+watch_chromium.org, achuith+watch_chromium.org, oshima+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make Hands-Off Zero-Touch Enrollment compatibile with tests Specifically, the automatic nature of Hands-Off Enrollment leads to the DUT performing an update check after reboot which interferes with autoupdate_EndToEndTest. This CL fixes that issue. It does so by instructing the UpdateScreen to skip checking for updates if both of the following conditions hold: 1. The previous update check initiated by the UpdateScreen did not result in an update. 2. This previous update check occurred during the last hour. BUG=chromium:710716 TEST=unit test Review-Url: https://codereview.chromium.org/2894783003 Cr-Commit-Position: refs/heads/master@{#473388} Committed: https://chromium.googlesource.com/chromium/src/+/f097331c78cf162157bc2e62db0b2dd5fba85c83

Patch Set 1 #

Total comments: 2

Patch Set 2 : Make Hands-Off Zero-Touch Enrollment compatibile with tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+489 lines, -52 lines) Patch
M chrome/browser/chromeos/BUILD.gn View 1 2 chunks +7 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/hats/hats_notification_controller_unittest.cc View 2 chunks +1 line, -25 lines 0 comments Download
M chrome/browser/chromeos/login/enrollment/enrollment_screen.cc View 4 chunks +3 lines, -10 lines 0 comments Download
M chrome/browser/chromeos/login/screens/eula_screen.cc View 2 chunks +1 line, -3 lines 0 comments Download
M chrome/browser/chromeos/login/screens/network_screen.cc View 2 chunks +1 line, -3 lines 0 comments Download
M chrome/browser/chromeos/login/screens/screen_exit_code.h View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/screens/update_screen.h View 2 chunks +13 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/screens/update_screen.cc View 3 chunks +44 lines, -5 lines 0 comments Download
A chrome/browser/chromeos/login/screens/update_screen_unittest.cc View 1 1 chunk +303 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/startup_utils.h View 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/startup_utils.cc View 3 chunks +30 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/wizard_controller.h View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/wizard_controller.cc View 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/test/BUILD.gn View 1 chunk +0 lines, -6 lines 0 comments Download
M chromeos/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
A chromeos/network/portal_detector/mock_network_portal_detector.h View 1 chunk +40 lines, -0 lines 0 comments Download
A chromeos/network/portal_detector/mock_network_portal_detector.cc View 1 chunk +13 lines, -0 lines 0 comments Download
M chromeos/network/portal_detector/network_portal_detector.h View 1 chunk +2 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 15 (7 generated)
kumarniranjan
There were memory leaks in the previous CL. I believe I have fixed them, but ...
4 days, 12 hours ago (2017-05-19 17:45:09 UTC) #2
xiyuan (OOO May 23)
For relanding, it would be nice to update original CL first then upload another one ...
4 days, 12 hours ago (2017-05-19 17:48:10 UTC) #3
kumarniranjan
https://codereview.chromium.org/2894783003/diff/1/chrome/browser/chromeos/login/screens/update_screen_unittest.cc File chrome/browser/chromeos/login/screens/update_screen_unittest.cc (right): https://codereview.chromium.org/2894783003/diff/1/chrome/browser/chromeos/login/screens/update_screen_unittest.cc#newcode88 chrome/browser/chromeos/login/screens/update_screen_unittest.cc:88: // fake_controller_ = new pairing_chromeos::FakeHostPairingController(""); On 2017/05/19 17:48:09, xiyuan ...
4 days, 11 hours ago (2017-05-19 18:03:02 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894783003/20001
4 days, 10 hours ago (2017-05-19 19:32:42 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/442760)
4 days, 10 hours ago (2017-05-19 19:45:49 UTC) #9
Alexander Alekseev
lgtm
4 days, 7 hours ago (2017-05-19 22:49:40 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894783003/20001
4 days, 6 hours ago (2017-05-19 23:20:36 UTC) #12
commit-bot: I haz the power
4 days, 6 hours ago (2017-05-20 00:00:51 UTC) #15
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/f097331c78cf162157bc2e62db0b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06